=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::LoyaltyApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'LoyaltyApi' do
  before do
    # run before each test
    @instance = WeFitter::LoyaltyApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of LoyaltyApi' do
    it 'should create an instance of LoyaltyApi' do
      expect(@instance).to be_instance_of(WeFitter::LoyaltyApi)
    end
  end

  # unit tests for loyalty_get_recommended_products_list
  # 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @return [InlineResponse2003]
  describe 'loyalty_get_recommended_products_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for loyalty_get_shoppingcart_link_read
  # 
  # @param [Hash] opts the optional parameters
  # @return [ShoppingCart]
  describe 'loyalty_get_shoppingcart_link_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
